This extension allows source code to be syntax highlighted on the wiki pages.
This README file might be out of date, have a look at the extension page
for updated informations:

    http://www.mediawiki.org/wiki/Extension:SyntaxHighlight_GeSHi

== Requirements ==

This version of the extension has been tested with GeSHi 1.0.8.11 and MediaWiki 1.24
as of 2014-05-10. It may or may not work with earlier versions of the aforementioned
software. To get releases of this extension compatible with earlier versions of
MediaWiki, visit: 

    http://www.mediawiki.org/wiki/Special:ExtensionDistributor/SyntaxHighlight_GeSHi


== Installation ==

Add this line to your LocalSettings.php:

	require_once("extensions/SyntaxHighlight_GeSHi/SyntaxHighlight_GeSHi.php");

== Usage ==

On the wiki page, you can now use "source" elements:

<source lang="php">
<?php
    v = "string";    // sample initialization
?>
html text
<?php
    echo v;         // end of php code
?>
</source>

== Parameters ==

Please see the documentation of GeSHi on http://qbnz.com/highlighter/geshi-doc.html
for detailed information to use some of the parameters.

* lang;		Defines the language 
* line;		Corresponds to enable_line_numbers method on GeSHi
* start;	Corresponds to start_line_numbers_at method on GeSHi
* strict;	Corresponds to enable_strict_mode method on GeSHi

== Note ==

GeSHi is generous about creating HTML elements: highlighting large blocks of
code can easily generate enough of them to crash a browser. As a guard, symbol
highlighting is turned off for code fragments larger than 100 kB. For fragments
larger than 200 kB, string highlighting is turned off as well.

== Note to maintainers ==

Whenever updating the version of GeSHi embedded in the extension, run
maintenance/updateLanguageList.php to re-generate the list of supported
languages.
